LP1816475: Booking module refresh
[working/Evergreen.git] / Open-ILS / src / eg2 / src / polyfills.ts
1 /**
2  * This file includes polyfills needed by Angular and is loaded before the app.
3  * You can add your own extra polyfills to this file.
4  *
5  * This file is divided into 2 sections:
6  *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
7  *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
8  *      file.
9  *
10  * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
11  * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
12  * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
13  *
14  * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
15  */
16
17 /***************************************************************************************************
18  * BROWSER POLYFILLS
19  */
20
21 /** IE9, IE10 and IE11 requires all of the following polyfills. **/
22 // import 'core-js/es6/symbol';
23 // import 'core-js/es6/object';
24 // import 'core-js/es6/function';
25 // import 'core-js/es6/parse-int';
26 // import 'core-js/es6/parse-float';
27 // import 'core-js/es6/number';
28 // import 'core-js/es6/math';
29 // import 'core-js/es6/string';
30 // import 'core-js/es6/date';
31 // import 'core-js/es6/array';
32 // import 'core-js/es6/regexp';
33 // import 'core-js/es6/map';
34 // import 'core-js/es6/weak-map';
35 // import 'core-js/es6/set';
36
37 // PhantomJS needs these
38 import 'core-js/es6/array';
39 import 'core-js/es6/string';
40 import 'core-js/es6/symbol'; // needed by app/staff/booking/reservation-actions.spec.ts
41
42 /** IE10 and IE11 requires the following for NgClass support on SVG elements */
43 // import 'classlist.js';  // Run `npm install --save classlist.js`.
44
45 /** IE10 and IE11 requires the following for the Reflect API. */
46 // import 'core-js/es6/reflect';
47
48
49 /** Evergreen browsers require these. **/
50 // Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
51
52
53
54 /**
55  * Required to support Web Animations `@angular/platform-browser/animations`.
56  * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
57  **/
58 // import 'web-animations-js';  // Run `npm install --save web-animations-js`.
59
60
61
62 /***************************************************************************************************
63  * Zone JS is required by Angular itself.
64  */
65 import 'zone.js/dist/zone';  // Included with Angular CLI.
66
67
68
69 /***************************************************************************************************
70  * APPLICATION IMPORTS
71  */
72
73 /**
74  * Date, currency, decimal and percent pipes.
75  * Needed for: All but Chrome, Firefox, Edge, IE11 and Safari 10
76  */
77 // import 'intl';  // Run `npm install --save intl`.
78 /**
79  * Need to import at least one locale-data with intl.
80  */
81 // import 'intl/locale-data/jsonp/en';